Encore effects
Get an Encore creation
GET
/
encore
/
creations
/
{id}
Get an Encore creation
curl --request GET \
--url https://havincy.com/api/v1/encore/creations/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://havincy.com/api/v1/encore/creations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://havincy.com/api/v1/encore/creations/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": 314,
"object": "encore_creation",
"effect": "melt",
"status": "completed",
"video": {
"id": 5700,
"object": "asset",
"kind": "video",
"status": "completed",
"url": "https://havincy.com/rails/active_storage/blobs/proxy/.../encore.mp4",
"mime_type": "video/mp4",
"duration_seconds": 5
},
"start_frame_url": "https://havincy.com/rails/active_storage/blobs/proxy/.../frame.jpg",
"share_url": "https://havincy.com/v/9Xk2pQ"
}
Returns an Encore creation: status, video and public share link once ready.
Required permission:
read. MCP tool: get_encore_creation.
integer
required
Encore creation id.
integer
default:"0"
Wait up to N seconds (0 to 55) for completion.
{
"id": 314,
"object": "encore_creation",
"effect": "melt",
"status": "completed",
"video": {
"id": 5700,
"object": "asset",
"kind": "video",
"status": "completed",
"url": "https://havincy.com/rails/active_storage/blobs/proxy/.../encore.mp4",
"mime_type": "video/mp4",
"duration_seconds": 5
},
"start_frame_url": "https://havincy.com/rails/active_storage/blobs/proxy/.../frame.jpg",
"share_url": "https://havincy.com/v/9Xk2pQ"
}
⌘I
Get an Encore creation
curl --request GET \
--url https://havincy.com/api/v1/encore/creations/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://havincy.com/api/v1/encore/creations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://havincy.com/api/v1/encore/creations/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": 314,
"object": "encore_creation",
"effect": "melt",
"status": "completed",
"video": {
"id": 5700,
"object": "asset",
"kind": "video",
"status": "completed",
"url": "https://havincy.com/rails/active_storage/blobs/proxy/.../encore.mp4",
"mime_type": "video/mp4",
"duration_seconds": 5
},
"start_frame_url": "https://havincy.com/rails/active_storage/blobs/proxy/.../frame.jpg",
"share_url": "https://havincy.com/v/9Xk2pQ"
}